=== debian/control ===
Source: dde-dock
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 8.0.0),
 pkg-config,
 qt5-qmake,
 libxcb-image0-dev,
 libxcb-composite0-dev,
 libxcb-ewmh-dev,
 libqt5x11extras5-dev,
 libxcb-damage0-dev,
 libqt5svg5-dev,
 libxtst-dev,
 libdtkwidget-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 qttools5-dev-tools,
 libxcb-icccm4-dev,
 qtbase5-private-dev,
 libdframeworkdbus-dev (>=5.3.0.24),
 libgsettings-qt-dev,
 cmake,
 libdde-network-utils-dev (>=5.3.0.5),
 libdbusmenu-qt5-dev,
 libdtkgui-dev,
 libgtest-dev,
 libgmock-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-dock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 deepin-desktop-schemas (>=5.8.0.34),
 libdframeworkdbus2 (>=5.3.0.24),
 libdde-network-utils (>=5.3.0.5),
 dde-qt5xcb-plugin (>=5.0.19),
 dde-daemon (>=5.12.0.31),
 startdde (>=5.6.0.34),
 lastore-daemon (>=5.1.0.21)
Recommends: dde-disk-mount-plugin, dde-dock-onboard-plugin
Conflicts:
 dde-workspace (<< 2.90.5),
 dde-dock-applets,
 dde-trash-plugin
Replaces:
 dde-dock-applets,
 dde-trash-plugin
Description: deepin desktop-environment - dock module
 Dock module of deepin desktop-environment

Package: dde-dock-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - dock module development files
 Dock module development files of deepin desktop-environment

Package: dde-dock-onboard-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, onboard
Description: deepin desktop-environment - dock plugin for onboard
 Dock plugin for onboard of deepin desktop-environment
