## dde-dock 5.5.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,9 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "-g -Wall")
+
+# 增加安全编译参数
+ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
 
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -fPIE")
@@ -55,11 +58,13 @@
     frame/controller
     frame/dbus
     frame/dbus/sni
+    frame/display
     frame/item
     frame/item/components
     frame/item/resources
     frame/util
     frame/window
+    frame/window/components
     frame/xcb
     ../widgets
     ../interfaces
@@ -68,11 +73,13 @@
 aux_source_directory(frame/controller CONTROLLER)
 aux_source_directory(frame/dbus DBUS)
 aux_source_directory(frame/dbus/sni SNI)
+aux_source_directory(frame/display DISPLAY)
 aux_source_directory(frame/item ITEM)
-aux_source_directory(frame/item/components COMPONENTS)
+aux_source_directory(frame/item/components ITEMCOMPONENTS)
 aux_source_directory(frame/item/resources RESOURCES)
 aux_source_directory(frame/util UTIL)
 aux_source_directory(frame/window WINDOW)
+aux_source_directory(frame/window/components WINDOWCOMPONENTS)
 aux_source_directory(frame/xcb XCB)
 
 file(GLOB SRC_PATH
@@ -80,10 +87,12 @@
     ${CONTROLLER}
     ${DBUS}
     ${SNI}
+    ${DISPLAY}
     ${ITEM}
-    ${COMPONENTS}
+    ${ITEMCOMPONENTS}
     ${UTIL}
     ${WINDOW}
+    ${WINDOWCOMPONENTS}
     ${XCB}
     )
 
@@ -114,6 +123,10 @@
 install(FILES gschema/com.deepin.dde.dock.module.gschema.xml
     DESTINATION share/glib-2.0/schemas)
 
+#dconfig
+file(GLOB DCONFIG_FILES "configs/*.json")
+install(FILES ${DCONFIG_FILES} DESTINATION /usr/share/dsg/apps/dde-dock/configs/)
+
 # Address Sanitizer 内存错误检测工具,打开下面的编译选项可以看到调试信息，正常运行时不需要这些信息
 #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
 #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
