=== frame/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,11 @@
 set(BIN_NAME dde-dock)
 
 configure_file(environments.h.in environments.h @ONLY)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
+endif()
 
 # Sources files
 file(GLOB_RECURSE SRCS "*.h" "*.cpp" "../widgets/*.h" "../widgets/*.cpp")
@@ -17,13 +22,17 @@
 find_package(DtkWidget REQUIRED)
 find_package(DtkCMake REQUIRED)
 
-pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11)
+pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11 xcursor)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 pkg_check_modules(DtkGUI REQUIRED dtkgui)
 
 # driver-manager
-add_executable(${BIN_NAME} ${SRCS} ${INTERFACES} ${SRC_PATH} item/item.qrc)
+add_executable(${BIN_NAME}
+    ${SRCS}
+    ${INTERFACES}
+    ${SRC_PATH}
+    item/item.qrc)
 
 target_include_directories(${BIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
@@ -39,14 +48,15 @@
     accessible
     controller
     dbus
+    display
     item
     item/components
     util
     window
+    window/components
     xcb
     ../plugins/tray
     ../plugins/show-desktop
-    ../plugins/network
     ../plugins/datetime
     ../plugins/onboard
     ../plugins/trash
@@ -60,6 +70,7 @@
     ${DFrameworkDBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
+    ${Qt5Gui_LIBRARIES}
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
