=== plugins/bluetooth/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,8 @@
 # Sources files
 file(GLOB_RECURSE SRCS "*.h" "*.cpp" "../../widgets/*.h" "../../widgets/*.cpp"
     "../../frame/util/imageutil.h" "../../frame/util/imageutil.cpp"
-    "../../frame/util/statebutton.h" "../../frame/util/statebutton.cpp")
+    "../../frame/util/statebutton.h" "../../frame/util/statebutton.cpp"
+    "../../frame/util/horizontalseperator.h" "../../frame/util/horizontalseperator.cpp")
 
 find_package(PkgConfig REQUIRED)
 find_package(Qt5Widgets REQUIRED)
@@ -24,7 +25,9 @@
   ${DFrameworkDBus_INCLUDE_DIRS}
   ${QGSettings_INCLUDE_DIRS}
   ../../interfaces
-  ../../frame)
+  ../../frame
+  componments)
+
 target_link_libraries(${PLUGIN_NAME} PRIVATE
   ${DtkWidget_LIBRARIES}
   ${DFrameworkDBus_LIBRARIES}
