=== debian/changelog ===
dde-dock (5.5.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:26:11 +0800
