=== debian/changelog ===
dde-dock (5.5.38-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:35:25 +0800
