=== plugins/sound/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 find_package(Qt5DBus REQUIRED)
 find_package(DtkWidget REQUIRED)
 
+pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11 xcursor)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 
@@ -29,6 +30,7 @@
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE
     ${DtkWidget_LIBRARIES}
+    ${XCB_EWMH_LIBRARIES}
     ${DFrameworkDBus_LIBRARIES}
     ${QGSettings_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
