=== debian/changelog ===
dde-dock (5.5.38.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 04 Jun 2022 20:59:57 +0800
