## dde-dock 5.5.53

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+ADD_COMPILE_OPTIONS(-fno-access-control)
+
 cmake_minimum_required(VERSION 3.7)
 
 set(BIN_NAME dde_dock_unit_test)
@@ -6,10 +8,33 @@
 set(CMAKE_AUTOMOC ON)
 
 # 源文件
-file(GLOB_RECURSE SRCS "*.h" "*.cpp" "../widgets/*.h" "../widgets/*.cpp")
+file(GLOB_RECURSE SRCS
+    "*.h"
+    "*.cpp"
+    "../widgets/*.h"
+    "../widgets/*.cpp")
+
+# Sources files
+file(GLOB_RECURSE PLUGIN_SRCS
+    "../plugins/bluetooth/*.h"
+    "../plugins/bluetooth/*.cpp"
+    "../plugins/bluetooth/componments/*.h"
+    "../plugins/bluetooth/componments/*.cpp"
+    "../plugins/dcc-dock-plugin/*.h"
+    "../plugins/dcc-dock-plugin/*.cpp"
+    "../frame/util/horizontalseperator.h"
+    "../frame/util/horizontalseperator.cpp")
+
+# 其包含的"interface/moduleinterface.h"文件中定义了ModuleInterface_iid，任务栏插件框架的interface文件中也有定义
+list(FILTER PLUGIN_SRCS EXCLUDE REGEX "../plugins/dcc-dock-plugin/settings_module.*")
 
 # 用于测试覆盖率的编译条件
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
+endif()
 
 # 查找gmock的cmake文件
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/tests/cmake/modules)
@@ -23,15 +48,22 @@
 find_package(DtkWidget REQUIRED)
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5 COMPONENTS Test REQUIRED)
+find_package(DdeControlCenter REQUIRED)
 find_package(GTest REQUIRED)
 find_package(GMock REQUIRED)
 
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
-pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11)
+pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11 xcursor)
 
 # 添加执行文件信息
-add_executable(${BIN_NAME} ${SRCS} ${INTERFACES} ${SRC_PATH} ../frame/item/item.qrc ut_res.qrc)
+add_executable(${BIN_NAME}
+    ${SRCS}
+    ${INTERFACES}
+    ${SRC_PATH}
+    ${PLUGIN_SRCS}
+    ../frame/item/item.qrc
+    ut_res.qrc)
 
 # 包含路径
 target_include_directories(${BIN_NAME} PUBLIC
@@ -40,8 +72,12 @@
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
+    ${DdeControlCenter_INCLUDE_DIR}
     ../interfaces
     fakedbus
+    ../plugins/bluetooth
+    ../plugins/bluetooth/componments
+    ../plugins/dcc-dock-plugin
 )
 
 # 链接库
@@ -56,6 +92,7 @@
     ${Qt5DBus_LIBRARIES}
     ${QGSettings_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
+    ${DdeControlCenter_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GMOCK_LIBRARIES}
     -lpthread
