=== plugins/trash/CMakeLists.txt ===
--- 
+++ 
@@ -9,16 +9,25 @@
 find_package(PkgConfig REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Svg REQUIRED)
+find_package(Qt5DBus REQUIRED)
 find_package(DtkWidget REQUIRED)
+
+pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 
 add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
 add_library(${PLUGIN_NAME} SHARED ${SRCS} resource.qrc)
 set_target_properties(${PLUGIN_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)
-target_include_directories(${PLUGIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS}
-                                                 ../../interfaces)
+
+target_include_directories(${PLUGIN_NAME} PUBLIC
+    ${DtkWidget_INCLUDE_DIRS}
+    ${DFrameworkDBus_INCLUDE_DIRS}
+    ../../interfaces)
+
 target_link_libraries(${PLUGIN_NAME} PRIVATE
     ${DtkWidget_LIBRARIES}
+    ${DFrameworkDBus_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
+    ${Qt5DBus_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
 )
