=== debian/changelog ===
dde-dock (5.5.53-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 28 Jun 2022 11:00:28 +0800
